AutoCAD 2000/2000i/2002 Archive (Read Only)
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Reply
Message 1 of 9
Anonymous
174 Views, 8 Replies

Selection Set

I would like to create a selection set by picking a circle that encompasses
a group of objects. I have racked my brain trying to solve this simple task.
Does anyone have any advice?

Thanks
Jim
8 REPLIES 8
Message 2 of 9
Anonymous
in reply to: Anonymous

Make them into a group, use the GROUP or -GROUP command.

--
Dean Saadallah
http://www.pendean.com
Expanded Links Page
http://www.pendean.com/lt/links.htm
--

"Jim Kleiner" wrote in message
news:C6CDADEA72173FD5873FDB8561339D29@in.WebX.maYIadrTaRb...
> I would like to create a selection set by picking a circle that
encompasses
> a group of objects. I have racked my brain trying to solve this simple
task.
> Does anyone have any advice?
>
> Thanks
> Jim
>
>
>
Message 3 of 9
Anonymous
in reply to: Anonymous

Jim,

Perhaps this?

(defun C:SelectInCircle ( / ent ent_info pt rad ang step PointList sel )
(if (setq ent (entsel "\nSelect circle: "))
(progn
(setq ent_info (entget (car ent)))
(if (= "CIRCLE" (cdr (assoc 0 ent_info)))
(progn
(setq pt (cdr (assoc 10 ent_info)))
(setq rad (cdr (assoc 40 ent_info)))
(setq ang 0)
(setq step 60)
(setq PointList '())
(repeat step
(setq PointList (append PointList (list (polar pt (setq ang (+
ang (/ (* 2 pi) step))) rad))))
)
(setq sel (ssget "_WP" PointList))
(sssetfirst nil sel)
)
;Else
(alert "No circle selected!")
)
)
;Else
(alert "No object selected!")
)
(princ)
)

Alex
Message 4 of 9
Anonymous
in reply to: Anonymous

That worked awesome thanks Alex


"Alex Repetto" wrote in message
news:C8707AFCC5ABEE59BBF8524C1573F6E0@in.WebX.maYIadrTaRb...
> Jim,
>
> Perhaps this?
>
> (defun C:SelectInCircle ( / ent ent_info pt rad ang step PointList sel )
> (if (setq ent (entsel "\nSelect circle: "))
> (progn
> (setq ent_info (entget (car ent)))
> (if (= "CIRCLE" (cdr (assoc 0 ent_info)))
> (progn
> (setq pt (cdr (assoc 10 ent_info)))
> (setq rad (cdr (assoc 40 ent_info)))
> (setq ang 0)
> (setq step 60)
> (setq PointList '())
> (repeat step
> (setq PointList (append PointList (list (polar pt (setq ang (+
> ang (/ (* 2 pi) step))) rad))))
> )
> (setq sel (ssget "_WP" PointList))
> (sssetfirst nil sel)
> )
> ;Else
> (alert "No circle selected!")
> )
> )
> ;Else
> (alert "No object selected!")
> )
> (princ)
> )
>
> Alex
>
>
>
Message 5 of 9
Anonymous
in reply to: Anonymous

When selecting entities, is there another way to select objects besides the
standard rectangle.

Thanks
Message 6 of 9
Anonymous
in reply to: Anonymous

you can type in CP (crossing polygon) or WP (window polygon) after you select a
command like move or copy. this alows you to define the boundary




--
Dave C. Johnson
WWC Engineering
Sheridan WY.
Windows 2k2
Acad Map 5
Survcadd XML
Message 7 of 9
Anonymous
in reply to: Anonymous

crossing is implied if your rectangle is right to left, ther is always f, or
fence

Jamie
"dc johnson" wrote in message
news:3E6CFED9.1030106@wwcengineering.com...
> you can type in CP (crossing polygon) or WP (window polygon) after you
select a
> command like move or copy. this alows you to define the boundary
>
>
>
>
> --
> Dave C. Johnson
> WWC Engineering
> Sheridan WY.
> Windows 2k2
> Acad Map 5
> Survcadd XML
>
Message 8 of 9
Anonymous
in reply to: Anonymous

I said polygon, not rectangle. by using CP or WP you define the SHAPE of the
polygon....it does not need to be a rectangle. try it and you will see what Im
talking about.



--
Dave C. Johnson
WWC Engineering
Sheridan WY.
Windows 2k2
Acad Map 5
Survcadd XML
Message 9 of 9
Anonymous
in reply to: Anonymous

sorry - meant to reply to him directly - hsi post wasn't clear enough to
indicate his level of knowledge

--
Jamie Duncan

"Maybe the Hokey Pokey is REALLY what's it all about"
"dc johnson" wrote in message
news:3E6DFCBC.5030807@wwcengineering.com...
> I said polygon, not rectangle. by using CP or WP you define the SHAPE of
the
> polygon....it does not need to be a rectangle. try it and you will see
what Im
> talking about.
>
>
>
> --
> Dave C. Johnson
> WWC Engineering
> Sheridan WY.
> Windows 2k2
> Acad Map 5
> Survcadd XML
>

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report